VSTGUI: Modifiers Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
Modifiers Struct Reference
New classes » Version 4.11

Modifiers. More...

`#include <events.h>`

## Public Member Functions
| Modifiers ()=default
| Modifiers (const Modifiers &)=default
| Modifiers (ModifierKey modifier)
Modifiers & | operator= (const Modifiers &)=default
bool | empty () const
| test if no modifier key is set More...
bool | has (ModifierKey modifier) const
| test if modifier key is set More...
bool | is (ModifierKey modifier) const
| test if modifier key is set exclusively More...
bool | is (const std::initializer_list< ModifierKey > &modifiers) const
| test if the modifier keys are set exclusively More...
bool | operator| (ModifierKey modifier) const
| test if modifier key is set More...
bool | operator== (ModifierKey modifier) const
| test if modifier key is set exclusively More...
void | add (ModifierKey modifier)
| add a modifier key More...
void | remove (ModifierKey modifier)
| remove a modifier key More...
void | clear ()
| clear all modifiers More...
Modifiers & | operator= (ModifierKey modifier)
| set to one modifier key More...
bool | operator== (const Modifiers &other) const
| check if equal to other modifiers More...
bool | operator!= (const Modifiers &other) const
| check if different to other modifiers More...

## Detailed Description

Modifiers.

## Constructor & Destructor Documentation

## ◆ Modifiers() [1/3]

Modifiers | ( |  | ) |
| default

## ◆ Modifiers() [2/3]

Modifiers | ( | const Modifiers & |  | ) |
| default

## ◆ Modifiers() [3/3]

Modifiers | ( | ModifierKey | modifier | ) |
| inlineexplicit

## Member Function Documentation

## ◆ add()

void add | ( | ModifierKey | modifier | ) |
| inline

add a modifier key

## ◆ clear()

void clear | ( |  | ) |
| inline

clear all modifiers

## ◆ empty()

bool empty | ( |  | ) | const
| inline

test if no modifier key is set

## ◆ has()

bool has | ( | ModifierKey | modifier | ) | const
| inline

test if modifier key is set

## ◆ is() [1/2]

bool is | ( | const std::initializer_list< ModifierKey > & | modifiers | ) | const
| inline

test if the modifier keys are set exclusively

## ◆ is() [2/2]

bool is | ( | ModifierKey | modifier | ) | const
| inline

test if modifier key is set exclusively

## ◆ operator!=()

bool operator!= | ( | const Modifiers & | other | ) | const
| inline

check if different to other modifiers

## ◆ operator=() [1/2]

Modifiers & operator= | ( | const Modifiers & |  | ) |
| default

## ◆ operator=() [2/2]

Modifiers & operator= | ( | ModifierKey | modifier | ) |
| inline

set to one modifier key

## ◆ operator==() [1/2]

bool operator== | ( | const Modifiers & | other | ) | const
| inline

check if equal to other modifiers

## ◆ operator==() [2/2]

bool operator== | ( | ModifierKey | modifier | ) | const
| inline

test if modifier key is set exclusively

## ◆ operator|()

bool operator| | ( | ModifierKey | modifier | ) | const
| inline

test if modifier key is set

## ◆ remove()

void remove | ( | ModifierKey | modifier | ) |
| inline

remove a modifier key

The documentation for this struct was generated from the following file:

- events.h